:root {
    --gap: 1.6rem;
    --padding: 2rem;
    --radius: .5rem;
    --background: #f5f5f5;
    --color: #1d1d1f;
    --color-accent: #0084d0;
    --color-accent-dark: #022336;
    --color-accent-light: #85c0e5;
    --color-accent-ultra-light: #e1f0f9;
    --color-accent-fg: #fff;
    --color-secondary: #555559;
    --color-tertiary: #6e6e73;
    --color-grey: #aaa;
    --color-light: #eee;
    --color-green-dark: #1a6630;
    --color-ultra-light: #fff;
    --max-wdith: 1200px;
    --color-red: #d07878;
    --color-red-dark: #551c1c;
    --color-green: #26ba6c;
}

::input-placeholder {
    /* Chrome, Opera, Safari */
    color: var(--color-tertiary);
    opacity: 1;

    /* Fixes Firefox's default lower opacity */
}

::placeholder {
    /* Firefox 19+ */
    color: var(--color-grey);
    opacity: 1;
}

:input-placeholder {
    /* IE 10+ */
    color: var(--color-grey);
    opacity: 1;
}

::placeholder {
    /* Standard syntax */
    color: var(--color-grey);
    opacity: 1;
}

html {
    scroll-behavior: smooth;
    font-size: 12pt;
    scrollbar-gutter: stable;
}

body {
    background: var(--background);
    color: var(--color);
    scroll-behavior: smooth;

    nav {
        background: rgb(255 255 255 / 80%);
        backdrop-filter: saturate(180%) blur(1rem);
        position: sticky;
        top: 0;
        z-index: 1000;
        border-bottom: 1px solid rgb(0 0 0 / 8%);

        .navbar-container {
            max-width: var(--max-wdith);
            margin: 0 auto;
            padding: 0 var(--padding);
            display: flex;
            align-items: center;
            justify-content: space-between;
            height: 5rem;
        }

        .logo {
            font-size: 1.3rem;
            font-weight: 600;

            a {
                display: flex;

                img {
                    float: left;
                    margin-right: 1rem;
                }

                white-space: nowrap;
                line-height: 3.8rem;
                color: inherit;
                text-decoration: none;
            }
        }

        .links {
            display: flex;
            align-items: center;
            gap: var(--gap);
        }

        #menu-toggle {
            display: none;
        }

        .hamburger {
            display: none;
            flex-direction: column;
            gap: calc(var(--gap) / 4);
            cursor: pointer;
            padding: calc(var(--gap) / 2);
            z-index: 10000;
            position: relative;

            span {
                width: var(--gap);
                height: 2px;
                background: #1d1d1f;
                border-radius: 2px;
                transition: all 0.3s ease;
                display: block;
            }
        }

        .menu {
            display: flex;
            gap: var(--gap);
            align-items: center;
            backdrop-filter: blur(2rem) saturate(400%);

            a {
                text-decoration: none;
                color: #1d1d1f;
                font-size: 0.95rem;
                transition: color 0.3s ease;

                &:hover {
                    color: var(--color-accent);
                }
            }

            .menu-cta {
                display: none;
            }
        }
    }

    h1 {
        font-size: 2.4rem;
        font-weight: 600;
    }

    h2 {
        font-size: 1.6rem;
        font-weight: 500;
        color: var(--color-secondary);
        padding-bottom: calc(var(--gap) / 2);
    }

    h3 {
        font-size: 1.2rem;
        font-weight: 500;
        color: var(--color-tertiary);
        padding-bottom: calc(var(--gap) / 2);
    }


    .btn,
    button {
        transition: .3s;
        border-radius: var(--radius);
        background: var(--color-accent);
        color: var(--color-accent-fg);
        font-weight: 600;
        padding: calc(var(--padding) / 1.5) var(--padding);
        display: flex;
        align-items: center;
        justify-content: center;
        gap: .5rem;
        text-shadow: 0 1px 1px rgba(0 0 0 / 30%);
        box-shadow: inset 0 0 100vh rgba(255 255 255 / 0%), inset 0 0 0 1px rgba(0 0 0 / 5%), inset 0 -2px 2px rgba(0 0 0 / 30%), 0 1px 2px rgba(0 0 0 / 20%);
        cursor: pointer;
        font-size: 1.1rem;
        user-select: none;

        &:hover {
            box-shadow: inset 0 0 100vh rgba(255 255 255 / 10%), inset 0 0 0 1px rgba(0 0 0 / 5%), inset 0 -1px 2px rgba(0 0 0 / 20%), 0 1px 2px rgba(0 0 0 / 20%) !important;
        }

        &:active {
            text-shadow: 0 -1px 2px rgba(0 0 0 / 20%);
            box-shadow: inset 0 0 100vh rgba(0 0 0 / 10%), inset 0 0 0 1px rgba(0 0 0 / 5%), inset 0 1px 2px rgba(0 0 0 / 20%), 0 1px 2px rgba(0 0 0 / 0%) !important;
        }

        &.secondary,
        &[type="button"] {
            box-shadow: inset 0 0 100vh rgba(255 255 255 / 0%), inset 0 0 0 1px rgba(0 0 0 / 5%), inset 0 -2px 2px rgba(0 0 0 / 10%), 0 1px 2px rgba(0 0 0 / 20%);
            background: var(--color-light);
            color: var(--color-secondary);
            text-shadow: 0 1px 1px rgba(255 255 255 / 80%);

            &:hover {
                box-shadow: inset 0 0 100vh rgba(255 255 255 / 20%), inset 0 0 0 1px rgba(0 0 0 / 5%), inset 0 -2px 2px rgba(0 0 0 / 10%), 0 1px 2px rgba(0 0 0 / 20%) !important;
            }

            &:active {
                text-shadow: 0 -1px 2px rgba(0 0 0 / 20%);
                box-shadow: inset 0 0 100vh rgba(0 0 0 / 10%), inset 0 0 0 1px rgba(0 0 0 / 5%), inset 0 1px 2px rgba(0 0 0 / 20%), 0 1px 2px rgba(0 0 0 / 0%) !important;
            }
        }

        &.disabled {
            background: var(--color-grey-ultra-light);
            color: var(--color-secondary);
            text-shadow: none !important;
            pointer-events: none;
            box-shadow: inset 0 0 100vh rgba(0 0 0 / 10%), inset 0 0 0 1px rgba(0 0 0 / 5%), inset 0 1px 2px rgba(0 0 0 / 20%), 0 1px 2px rgba(0 0 0 / 0%);

            &::before {
                content: '';
                display: inline-block;
                height: 2rem;
                aspect-ratio: 1;
                background-image: url(../img/spinner.gif);
                background-size: contain;
                margin-bottom: -.5rem;
                margin-top: -.5rem;
            }

            &:active {
                text-shadow: 0 -1px 2px rgba(0 0 0 / 20%);
                box-shadow: inset 0 0 100vh rgba(0 0 0 / 10%), inset 0 0 0 1px rgba(0 0 0 / 5%), inset 0 1px 2px rgba(0 0 0 / 20%), 0 1px 2px rgba(0 0 0 / 0%) !important;
            }
        }
    }

    input {
        border-radius: var(--radius);
        background: var(--background);
        font-weight: 500;
        padding: calc(var(--padding) / 1.8);
        box-shadow: inset 0 0 0 1px rgba(0 0 0 / 5%), inset 0 -1px 2px rgba(0 0 0 / 20%);
        cursor: text;
        display: block;
        width: 100%;
        color: var(--color);

        &:focus {
            box-shadow: 0 0 0 2px var(--color-accent-light);
            background: var(--color-ultra-light);
        }

        &:not(:placeholder-shown) {
            background: var(--color-ultra-light);
        }
    }

    .card,
    form {
        padding: var(--padding);
        background: var(--color-ultra-light);
        border-radius: calc(var(--radius) * 2);
        box-shadow: inset 0 -1px 2px rgba(0 0 0 / 20%), 0 2px 4px rgba(0 0 0 / 10%);

        div:has(label) {
            display: flex;
            flex-direction: column;

            label {
                margin: calc(var(--padding) / 2) 0;
                margin-bottom: 0;
                display: block;
                flex: 1;

                b {
                    font-weight: 500;
                    color: var(--color-secondary);
                    display: block;
                    padding: calc(var(--padding) / 4) 0;
                    pointer-events: none;
                }
            }
        }

        div:has(button) {
            display: flex;

            button {
                display: block;
                flex: 1;
                margin: calc(var(--padding) / 2) 0;
                margin-top: 2rem;
            }
        }

        &:has(.signin-block) {
            label {
                margin-bottom: .2rem;
            }

            .signin-block {
                display: flex;
                gap: 1rem;
                margin-top: 1rem;

                .btn {
                    display: block;
                    flex: 1;
                    margin: calc(var(--padding) / 2) 0;
                }
            }
        }
    }

    main {
        max-width: var(--max-wdith);
        margin: auto;
        padding: 0 var(--padding);

        section {
            padding: 8rem 0;

            >h2,
            >h3,
            >p {
                text-align: center;
            }

            &#baixar {
                display: flex;
                gap: 2rem;
                padding-top: 0;

                .card {
                    flex: 1;
                    align-items: center;
                    justify-content: center;
                    display: flex;
                    flex-direction: column;

                    .btn {
                        margin-top: 2rem;
                    }
                }
            }

            &#inicio {
                text-align: center;

                h1 {
                    font-weight: 700;
                    color: var(--color-accent-dark);
                }

                .benefits,
                p {
                    padding: calc(var(--gap)) 0;
                    font-size: 1.2rem;
                    color: var(--color-secondary);
                }

                .pricing {
                    padding-top: 0;
                    color: var(--color-green-dark);
                    font-weight: 500;
                    font-size: 1rem;
                }

                .benefits {
                    font-size: 1rem;
                    color: var(--color-tertiary);
                }

                .btn {
                    max-width: 340px;
                    display: inline-block;
                }

                ul {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    margin-bottom: var(--gap);

                    li {
                        display: flex;
                        padding: calc(var(--gap) / 2);
                        margin: 0 calc(var(--gap) / 2);
                        color: var(--color-accent);
                        position: relative;

                        &::before {
                            content: '';
                            display: block;
                            position: absolute;
                            inset: 0;
                            border-radius: var(--radius);
                            background: var(--color-accent);
                            opacity: .05;
                        }

                        svg {
                            height: 1.2rem;
                            width: auto;
                            stroke: var(--color-accent);
                            margin-right: calc(var(--gap) / 5);
                        }
                    }
                }
            }


            &#sobre {
                p {
                    text-align: center;
                    display: block;
                }

                >div {
                    margin-top: 2rem;
                    display: flex;
                    gap: 2rem;
                    align-items: center;

                    ul {
                        display: flex;
                        flex-direction: column;
                        gap: 1rem;

                        li {
                            padding: .5rem 1rem;
                            border-left: 4px solid var(--color-accent-light);


                            a {
                                color: var(--color-accent);
                                text-decoration: underline;
                                font-weight: 500;
                            }

                            b,
                            strong {
                                font-weight: 500;
                            }
                        }
                    }
                }
            }



            &#como-funciona {
                ul {
                    display: flex;
                    justify-content: center;
                    margin-top: 2rem;

                    li {
                        flex: 1;
                        display: inline-block;
                        text-align: center;
                        padding: var(--padding);
                        padding-top: 0;

                        span {
                            display: inline-flex;
                            background: var(--color-accent);
                            color: var(--color-accent-fg);
                            height: 4rem;
                            align-items: center;
                            justify-content: center;
                            aspect-ratio: 1;
                            border-radius: 100%;
                            font-size: 2rem;
                            font-weight: 600;
                            box-shadow: 0 0 0 1px #fff, 0 0 0 1rem var(--color-accent-ultra-light);
                            margin-bottom: 1rem;
                        }

                        div {
                            margin-top: 1rem;
                            overflow: hidden;
                            border-radius: var(--radius);
                            width: 270px;
                            height: 260px;
                            display: inline-block;
                            box-shadow: 0 0 0 1px #fff, 0 2px 20px rgba(0 0 0 / 6%);

                            img {
                                display: inline-block;
                                object-fit: cover;
                                width: 100%;
                                height: 100%;
                            }
                        }

                        p {
                            font-weight: 500;
                            color: var(--color-secondary);
                            padding: calc(var(--padding) / 2) 0;
                        }

                        b {
                            font-weight: 700;
                            color: var(--color-accent);
                            font-size: 1.1rem;
                            display: block;
                            margin-top: 1.2rem;
                        }
                    }
                }
            }

            &#frases {
                ul {
                    display: flex;
                    justify-content: center;

                    li {
                        flex: 1;
                        display: inline-block;
                        text-align: center;
                        padding: var(--padding);
                        padding-top: 0;

                        img {
                            display: inline-block;
                        }

                        p {
                            font-weight: 500;
                            color: var(--color-secondary);
                            padding: calc(var(--padding) / 2) 0;

                            &::before {
                                content: '“';
                            }

                            &::after {
                                content: '”';
                            }
                        }

                        b {
                            font-weight: 600;
                            color: var(--color-tertiary);

                            &::before {
                                content: '~ ';
                            }
                        }
                    }
                }
            }

            &#problema {
                ul {
                    display: grid;
                    margin-top: 2rem;

                    /* Enables CSS Grid for the container */
                    grid-template-columns: 1fr 1fr;
                    justify-content: center;
                    gap: .4rem;

                    li {
                        width: 100%;
                        display: flex;
                        max-width: 600px;
                        align-items: center;
                        font-weight: 600;
                        padding: 1rem;
                        border: 1px solid var(--color-red);
                        border-radius: var(--radius);
                        background: rgba(255 255 255 / 50%);
                        color: var(--color-red-dark);

                        svg {
                            display: inline-block;
                            stroke: var(--color-red);
                            margin-right: .4rem;
                        }
                    }
                }
            }

            &#impacto {
                >div {
                    margin-top: 2rem;
                    display: flex;
                    gap: 2rem;
                    align-items: center;

                    ul {
                        display: flex;
                        flex-direction: column;
                        gap: 1rem;

                        li {
                            padding: .5rem 1rem;
                            border-left: 4px solid var(--color-accent-light);

                            b {
                                font-size: 1.1rem;
                                font-weight: 600;
                                display: block;
                                margin-bottom: .2rem;
                            }
                        }
                    }
                }
            }

            &#adesao {
                p {
                    text-align: center;
                    display: block;
                }

                >div {
                    margin-top: 2rem;
                    display: flex;
                    gap: 2rem;
                    align-items: center;

                    ul {
                        display: flex;
                        flex-direction: column;
                        gap: 1rem;

                        li {
                            padding: .5rem 1rem;
                            border-left: 4px solid var(--color-accent-light);

                            b {
                                font-size: 1.1rem;
                                font-weight: 600;
                                display: block;
                                margin-bottom: .2rem;
                            }
                        }
                    }
                }
            }

            &#confianca {
                >div {
                    margin-top: 2rem;
                    display: flex;
                    gap: 2rem;
                    align-items: center;

                    ul {
                        display: flex;
                        flex-direction: column;
                        gap: 1rem;

                        li {
                            padding: .5rem 1rem;
                            border-left: 4px solid var(--color-accent-light);

                            b {
                                font-size: 1.1rem;
                                font-weight: 600;
                                display: block;
                                margin-bottom: .2rem;
                            }
                        }
                    }
                }
            }

            &#implementacao {
                >div {
                    margin-top: 2rem;
                    display: flex;
                    gap: 2rem;
                    align-items: center;

                    ul {
                        display: flex;
                        flex-direction: column;
                        gap: 2rem;

                        li {
                            b {
                                font-size: 1.1rem;
                                font-weight: 600;
                                display: block;
                                margin-bottom: .2rem;
                            }
                        }
                    }
                }
            }

            &#faq {
                ul {
                    display: flex;
                    gap: 2rem;
                    flex-direction: column;
                    justify-content: center;
                    align-items: center;
                    margin-top: 2rem;

                    li {
                        display: block;
                        width: 100%;
                        max-width: 700px;
                        background: rgba(255 255 255 / 80%);
                        border-radius: var(--radius);
                        padding: 2rem;

                        h3 {
                            color: var(--color-accent);
                        }

                        p {
                            color: var(--color-secodary);
                        }
                    }
                }
            }

            &#ultimo-cta {
                text-align: center;

                .btn {
                    margin-top: 1rem;
                    display: inline-block;
                }
            }

            &#risco {
                display: block;
                text-align: center;

                p {
                    display: block;
                    text-align: center;
                }

                ul {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    gap: 2rem;
                    margin-top: 3rem;

                    li {
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        background: var(--color-accent);
                        border-radius: 1rem;
                        aspect-ratio: 1;
                        width: 100%;
                        max-width: 240px;

                        svg {
                            display: inline-block;
                            height: 4rem;
                            width: auto;
                            fill: #fff;
                            margin-bottom: 1rem;
                        }

                        div {
                            font-weight: 600;
                            color: #fff;
                        }
                    }
                }
            }

            &#solucao {
                p {
                    text-align: center;
                }

                ul {
                    display: grid;
                    grid-template-columns: 1fr 1fr;
                    justify-content: center;
                    gap: .4rem;
                    margin-top: 2rem;

                    li {
                        display: flex;
                        align-items: center;
                        padding: 1rem;
                        border: 1px solid var(--color-green);
                        border-radius: var(--radius);
                        background: rgba(255 255 255 / 50%);
                        color: var(--color-green-dark);

                        svg {
                            display: inline-block;
                            fill: var(--color-green);
                            margin-right: 1rem;
                            height: 2.5rem;
                            width: auto;
                        }

                        div {
                            display: block;
                            flex: 1;

                            b {
                                display: block;
                                font-weight: 600;
                            }

                            p {
                                text-align: left;
                                margin-top: .2rem;
                            }
                        }
                    }
                }
            }

            &#cadastro {
                display: flex;
                gap: var(--gap);
                background: var(--color-accent);
                box-shadow: -50vw 0 0 var(--color-accent), 50vw 0 0 var(--color-accent);
                padding: 8rem 0;

                .therapist-signed-in {
                    text-align: center;
                    display: block;

                    *:not(.btn) {
                        color: var(--color-accent-fg);
                    }

                    .btn {
                        max-width: 300px;
                        display: inline-block;
                        margin-top: 1rem;
                    }
                }

                &:has(.therapist-signed-in) {
                    display: block;
                }

                form {
                    flex: 1;

                    div:has([type="button"]) {
                        position: absolute;
                        left: var(--padding);
                        right: var(--padding);
                        bottom: var(--padding);
                    }

                    div:has([type="radio"]) {
                        display: flex;
                        gap: calc(var(--gap) / 2);
                        flex-direction: row;

                        label {
                            padding: calc(var(--padding) / 3.5) calc(var(--padding) / 1.8);
                            border-radius: var(--radius);
                            background: var(--background);
                            text-align: center;
                            box-shadow: inset 0 0 0 1px rgba(0 0 0 / 10%);
                            cursor: pointer;

                            &:hover {
                                box-shadow: inset 0 0 0 1px rgba(0 0 0 / 10%), inset 0 0 0 100vh rgba(0 0 0 / 3%);
                            }

                            &:has(:checked) {
                                box-shadow: inset 0 0 0 2px var(--color-accent-light);
                                background: var(--color-accent-ultra-light);

                                b {
                                    color: var(--color-accent);
                                }
                            }

                            b {
                                font-weight: 500;
                                pointer-events: none;
                                user-select: none;
                            }

                            input {
                                display: none;
                            }
                        }
                    }
                }

                &:not(.recover-password) {
                    #recover-password {
                        display: none;
                    }
                }

                &.recover-password {
                    #singin {
                        display: none;
                    }
                }
            }

            &#footer {
                background: var(--color-light);
                box-shadow: -50vw 0 0 var(--color-light), 50vw 0 0 var(--color-light);
                text-align: center;
                color: var(--color-secondary);

                #sticky-bottom {
                    transition: .5s;
                    position: fixed;
                    bottom: 0;
                    left: 0;
                    right: 0;
                    background: rgb(255 255 255 / 80%);
                    backdrop-filter: saturate(180%) blur(1rem);
                    border-top: 1px solid rgb(0 0 0 / 8%);
                    transform: translateY(102%);

                    &.show {
                        transform: translateY(0);
                    }

                    div {
                        display: flex;
                        align-items: center;
                        justify-content: space-between;
                        max-width: var(--max-wdith);
                        margin: auto;
                        padding: 1rem;
                        flex-direction: row;
                        gap: 1rem;

                        .whatsapp {
                            background: var(--color-green);
                            aspect-ratio: 1;
                            max-height: 62.66px;

                            &::before {
                                content: '';
                                background-image: url(../../imgs/whatsapp.svg) !important;
                                background-size: contain;
                                background-repeat: no-repeat;
                                display: block;
                                inset: .6rem;
                                position: absolute;
                            }
                        }

                        .cta {
                            width: 100%;
                            max-width: 200px;
                        }
                    }
                }

                p {
                    padding: calc(var(--gap) / 8);
                    color: var(--color-secodary);
                }

                ul {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    padding: var(--gap) 0;

                    li {
                        display: flex;

                        a {
                            color: var(--color-accent);

                            &:hover {
                                text-decoration: underline;
                            }
                        }

                        &::after {
                            content: '•';
                            display: inline-block;
                            width: 1rem;
                            color: var(--color-tertiary)
                        }

                        &:last-child {
                            &::after {
                                display: none;
                            }
                        }
                    }
                }

                small {
                    font-size: .8rem;
                    color: var(--color-tertiary);
                }
            }
        }
    }
}

html:has(#modal.privacidade),
html:has(#modal.termos) {
    overflow: hidden;
}

#modal {
    display: none;
    position: fixed;
    z-index: 2000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0 0 0 / 50%);
    backdrop-filter: blur(4px);
    align-items: center;
    justify-content: center;
    padding: 20px;

    >div {
        display: none;
        background-color: #fff;
        border-radius: 24px;
        max-width: 1000px;
        width: 100%;
        height: 85vh;
        position: relative;
        box-shadow: 0 20px 60px rgb(0 0 0 / 30%);
        animation: modalSlideIn 0.3s ease;

        .content {
            overflow-y: auto;
            position: absolute;
            inset: 10px;
            padding: 30px;
            display: block;
        }

        h2 {
            font-size: 2rem;
            font-weight: 700;
            margin-bottom: 24px;
            padding-right: 40px;
        }

        h3 {
            font-size: 1.2rem;
            font-weight: 600;
            margin-top: 24px;
            margin-bottom: 12px;
            color: #1d1d1f;
        }

        p {
            color: #6e6e73;
            line-height: 1.7;
            margin-bottom: 16px;
        }

        ul {
            list-style: disc;
            margin-left: 24px;
            margin-bottom: 16px;

            li {
                color: #6e6e73;
                line-height: 1.7;
                margin-bottom: 8px;
            }
        }

        small {
            color: #86868b;
            font-size: 0.85rem;
        }

        .modal-close {
            position: absolute;
            right: 20px;
            top: 20px;
            font-size: 32px;
            font-weight: 300;
            color: #86868b;
            background: none;
            border: none;
            cursor: pointer;
            padding: 0;
            width: 32px;
            height: 32px;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 50%;
            transition: all 0.2s ease;

            &:hover {
                background: #f5f5f7;
                color: #1d1d1f;
            }
        }

    }

    &.privacidade,
    &.termos {
        display: flex;
    }

    &.privacidade #privacy {
        display: block;
    }

    &.termos #terms {
        display: block;
    }
}

/* Mobile */
@media (width <=768px) {
    body {
        .navbar {
            .navbar-container {
                padding: 0 16px;
            }

            .links {
                .hero-cta {
                    padding: 10px 20px;
                    font-size: 0.9rem;
                }
            }

            .hamburger {
                display: flex;
            }

            .menu {
                position: fixed;
                inset: 0;
                width: 100vw;
                height: 100vh;
                background: rgb(255 255 255 / 98%);
                backdrop-filter: blur(20px);
                display: none;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                gap: 32px;
                z-index: 1001;

                a {
                    font-size: 1.5rem;
                    font-weight: 500;
                }

                .menu-cta {
                    display: inline-block;
                    background: var(--color-accent);
                    color: white;
                    padding: 14px 32px;
                    border-radius: 999px;
                    font-size: 1.2rem;
                }
            }

            #menu-toggle:checked {
                ~.menu {
                    display: flex;
                }

                +.hamburger {
                    span {
                        background: #1d1d1f;
                    }

                    span:nth-child(1) {
                        transform: rotate(45deg) translate(6px, 5px);
                    }

                    span:nth-child(2) {
                        opacity: 0;
                    }

                    span:nth-child(3) {
                        transform: rotate(-45deg) translate(6px, -5px);
                    }
                }
            }
        }

        main {
            section {
                padding: 2rem 0;

                &#inicio {
                    padding-top: 2rem;

                    h1 {
                        font-size: 1.8rem;
                    }

                    ul {
                        flex-direction: column;
                        gap: 1rem;
                    }
                }

                &#frases {
                    ul {
                        flex-direction: column;
                        gap: 1rem;
                    }
                }

                &#problema {
                    ul {
                        grid-template-columns: 1fr;
                    }
                }

                &#solucao {
                    ul {
                        grid-template-columns: 1fr;
                    }
                }

                &#cadastro {
                    flex-direction: column;

                    form {
                        padding: 1.2rem;

                        div:has([type="button"]) {
                            position: relative;
                            left: initial;
                            right: initial;
                            bottom: initial;
                        }
                    }
                }

                &#como-funciona {
                    ul {
                        flex-direction: column;
                        gap: 1rem;
                    }
                }

                &#adesao,
                &#confianca,
                &#implementacao,
                &#impacto {
                    margin-top: 2rem;

                    >div {
                        img {
                            width: calc(100% + var(--padding) + 2rem);
                            height: auto;
                        }

                        flex-direction: column;
                        gap: 1rem;
                        margin-top: 1rem;
                    }
                }

                &#risco {
                    ul {
                        flex-direction: column;
                    }
                }

                &#footer {
                    padding-bottom: 8rem;

                    ul {
                        flex-direction: column;
                        gap: 1rem;

                        li {
                            &::after {
                                display: none;
                            }
                        }
                    }
                }
            }
        }
    }
}

.modal {
    transition: .3s;
    display: grid;
    place-items: center;
    position: fixed;
    z-index: 2000;
    inset: 0;
    background-color: rgb(255 255 255 / 50%);
    backdrop-filter: blur(10rem) saturate(300%);

    /* align-items: center;
    justify-content: center; */
    padding: var(--padding);
    overflow-y: auto;

    &#login-form {
        .instructions {
            display: none;
        }

        &:has(input[name="action"][value="forgot-password"]) {
            .instructions {
                display: block;
            }

            .row {
                margin-bottom: 0;
            }

            .row:has(input[type="password"]) {
                display: none;
            }
        }
    }

    &#confirm {
        .modal-content {
            &.alert {
                .content {
                    .actions {
                        padding: 0;
                        gap: 1rem;
                        justify-content: center;
                    }
                }
            }
        }
    }

    &.hidden {
        opacity: 0;
        pointer-events: none;
    }

    .modal-content {
        display: block;
        max-width: 1000px;
        width: 100%;
        position: relative;
        padding: 1rem;

        center {
            a {
                &:hover {
                    text-decoration: underline;
                }
            }
        }

        &:has(form.content) {
            max-width: 600px;
        }

        &.alert {
            max-width: 600px;

            .modal-head {
                justify-content: flex-start;

                .close-modal {
                    right: var(--padding);
                }
            }

            .content {
                .actions {
                    padding: 0;
                    gap: 0;
                    justify-content: flex-end;

                    .btn {
                        max-width: 50%;
                    }
                }
            }
        }

        .modal-head {
            display: flex;
            align-items: center;
            justify-content: center;

            h2 {
                text-align: center;
                padding: var(--padding);
                user-select: none;
            }

            .close-modal {
                transition: .3s;
                display: inline-block;
                height: 2.2rem;
                aspect-ratio: 1;

                /* background-image: url(../../sistema/img/close.svg); */
                background-size: contain;
                position: absolute;
                right: 0;
                cursor: pointer;
                opacity: .6;

                &:hover {
                    opacity: 1;
                }
            }
        }

        .content {
            background-color: var(--color-ultra-light);
            border-radius: var(--radius);
            box-shadow: var(--shadow1);
            display: block;
            padding: var(--padding);

            .block {
                transition: .3s;
                display: block;
                background-color: var(--color-ultra-light);
                border-radius: var(--radius);
                box-shadow: var(--shadow1);
                padding: 1.4rem;
                margin-bottom: 2rem;

                &:focus-within {
                    box-shadow: var(--shadow1-hover);
                }

                .row {
                    display: block;
                    margin-bottom: 1rem;

                    label {
                        padding: 0;
                        margin: 0;
                        margin-bottom: .5rem;
                        font-weight: 600;
                        color: var(--color-tertiary);
                        font-size: .9rem;
                    }

                    &:has(input) {
                        display: flex;
                        flex: 1;

                        label {
                            padding: 0;
                            margin: 0;
                            margin-bottom: 0;
                            font-weight: 600;
                            color: var(--color-tertiary);
                            font-size: .9rem;
                            position: absolute;
                            z-index: 1;
                            left: 1.1rem;
                            top: 0;
                            bottom: 0;
                            display: flex;
                            align-items: center;
                            pointer-events: none;
                        }

                        input {
                            padding-left: 10rem;
                            text-align: right;
                        }
                    }

                    input,
                    textarea {
                        border-radius: calc(var(--radius) / 1.5);
                    }

                    textarea {
                        min-height: 5rem;
                    }
                }

                .row:last-child {
                    margin-bottom: 0;
                }
            }

            .actions {
                display: flex;
                justify-content: center;
                margin-top: 1rem;
                gap: 2rem;
                padding: 0 1.4rem;

                .btn {
                    justify-content: center;
                    flex: 1;
                }
            }
        }

        form.content {
            background: none;
            box-shadow: none;
            padding: 0;
        }
    }
}

.loading {
    background-color: var(--color-accent-ultra-light) !important;
    background-image: url(../img/spinner.gif) !important;
    background-repeat: no-repeat !important;
    background-position: 50% !important;
    background-size: 3rem auto !important;
    border-radius: var(--radius) !important;
    user-select: none !important;
    z-index: 100 !important;

    *:not(.retry) {
        opacity: 0;
        pointer-events: none;
    }

    &::after {
        content: 'Carregando';
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) translateY(2.8rem);
        font-size: .9rem;
        color: var(--color-tertiary);
        z-index: 100;

    }

    &.saving {
        &::after {
            content: 'Salvando' !important;
        }
    }
}

.loading-error {
    background-color: var(--color-accent-ultra-light) !important;
    border-radius: var(--radius) !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    user-select: none !important;
    z-index: 100;

    *:not(.retry) {
        opacity: 0;
        pointer-events: none;
    }

    .retry {
        font-size: 1rem;
        text-align: center;
        font-weight: 500;

        .btn {
            margin-top: 1rem;
        }
    }
}
